WorkflowEngine (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Class WorkflowEngine

- java.lang.Object
- - org.cloudbus.cloudsim.core.SimEntity
  - - org.cloudbus.cloudsim.workflow.WorkflowEngine

- All Implemented Interfaces:
    Cloneable

      public class WorkflowEngine
      extends SimEntity

  This class handles the whole process of workflow execution, including: parsing xml file, defining number, types, and start times of vms, and scheduling, dispatching, and management of DAG tasks.

- - ### Field Summary

    - ### Fields inherited from class org.cloudbus.cloudsim.core.SimEntity

      `FINISHED, HOLDING, RUNNABLE, WAITING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowEngine(String dagFile, long execTime, long baseMIPS, Policy policy, VMOffers vmOffers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeEnergy()`
    `protected void` | `doProvisioning()`
    `<T extends Cloudlet> List<T>` | `getCloudletReceivedList()`
    `boolean` | `hasPendingTransmissions(int vmId)`
    `void` | `printExecutionSummary()`
    `protected void` | `processCloudletReturn(SimEvent ev)`
    `void` | `processEvent(SimEvent ev)` This method is invoked by the `Simulation` class whenever there is an event in the deferred queue, which needs to be processed by the entity.
    `protected void` | `processVmCreate(SimEvent ev)`
    `protected <T extends Cloudlet> void` | `setCloudletReceivedList(List<T> cloudletReceivedList)`
    `void` | `shutdownEntity()` This method is invoked by the `Simulation` before the simulation finishes.
    `void` | `startEntity()` This method is invoked by the `Simulation` class when the simulation is started.

    - ### Methods inherited from class org.cloudbus.cloudsim.core.SimEntity

      `cancelEvent, clone, getEventBuffer, getId, getName, getNextEvent, getNextEvent, getState, numEventsWaiting, numEventsWaiting, pause, run, schedule, schedule, schedule, schedule, scheduleFirst, scheduleFirst, scheduleFirst, scheduleFirst, scheduleFirstNow, scheduleFirstNow, scheduleFirstNow, scheduleFirstNow, scheduleNow, scheduleNow, scheduleNow, scheduleNow, selectEvent, send, send, send, send, sendNow, sendNow, sendNow, sendNow, setEventBuffer, setId, setState, waitForEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowEngine

          public WorkflowEngine(String dagFile,
                        long execTime,
                        long baseMIPS,
                        Policy policy,
                        VMOffers vmOffers)

  - ### Method Detail

    - #### processEvent

          public void processEvent(SimEvent ev)

      Description copied from class: `SimEntity`
      This method is invoked by the `Simulation` class whenever there is an event in the deferred queue, which needs to be processed by the entity.
      Specified by:
        `processEvent` in class `SimEntity`
      Parameters:
        `ev` - the event to be processed by the entity

    - #### doProvisioning

          protected void doProvisioning()

    - #### processVmCreate

          protected void processVmCreate(SimEvent ev)

    - #### processCloudletReturn

          protected void processCloudletReturn(SimEvent ev)

    - #### shutdownEntity

          public void shutdownEntity()

      Description copied from class: `SimEntity`
      This method is invoked by the `Simulation` before the simulation finishes. If you want to save data in log files this is the method in which the corresponding code would be placed.
      Specified by:
        `shutdownEntity` in class `SimEntity`

    - #### startEntity

          public void startEntity()

      Description copied from class: `SimEntity`
      This method is invoked by the `Simulation` class when the simulation is started. This method should be responsible for starting the entity up.
      Specified by:
        `startEntity` in class `SimEntity`

    - #### setCloudletReceivedList

          protected <T extends Cloudlet> void setCloudletReceivedList(List<T> cloudletReceivedList)

    - #### getCloudletReceivedList

          public <T extends Cloudlet> List<T> getCloudletReceivedList()

    - #### printExecutionSummary

          public void printExecutionSummary()

    - #### hasPendingTransmissions

          public boolean hasPendingTransmissions(int vmId)

    - #### computeEnergy

          public void computeEnergy()

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.